Plank.DBusClient – plank Reference Manual

# DBusClient

## Object Hierarchy:

## Description:

public class DBusClient : Object

Connects to a running instance of plank via DBus and provides remote interface to a currently runnning dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public bool is_connected { get; }
  Whether the client is in an operatable state and connected to a running dock

### Static methods:

- public static weak DBusClient get_instance ()
  Get the singleton instance of Plank.DBusClient

### Methods:

- public bool add_item (string uri)
  Add a new item for the given uri to the dock
- public bool get_hover_position (string uri, out int x, out int y, out PositionType dock_position)
  Gets the x,y coords with the dock's position to display a hover window for an item.
- public int get_items_count ()
  Returns the number of currently visible items on the dock
- public unowned string[]? get_persistent_applications ()
  Returns an array of uris of the persistent applications on the dock
- public unowned string[]? get_transient_applications ()
  Returns an array of uris of the transient applications on the dock
- public bool remove_item (string uri)
  Remove an existing item for the given uri from the dock

### Signals:

- public signal void proxy_changed ()
  If the proxy interfaces for the dock are ready to be used or were changed on runtime this signal will be emitted.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref